Update security settings
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_blacklist_on_failures": true,
"failure_threshold": 3,
"failure_window_minutes": 60,
"auto_blacklist_on_disputes": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_blacklist_on_failures: true,
failure_threshold: 3,
failure_window_minutes: 60,
auto_blacklist_on_disputes: true
})
};
fetch('https://api.shoppex.io/dev/v1/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/security"
payload = {
"auto_blacklist_on_failures": True,
"failure_threshold": 3,
"failure_window_minutes": 60,
"auto_blacklist_on_disputes": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/security",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'auto_blacklist_on_failures' => true,
'failure_threshold' => 3,
'failure_window_minutes' => 60,
'auto_blacklist_on_disputes' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/security"
payload := strings.NewReader("{\n \"auto_blacklist_on_failures\": true,\n \"failure_threshold\": 3,\n \"failure_window_minutes\": 60,\n \"auto_blacklist_on_disputes\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"settings": {
"auto_blacklist_on_failures": true,
"failure_threshold": 3,
"failure_window_minutes": 60,
"auto_blacklist_on_disputes": true
}
}
}Security
Update security settings
Developer API operation for PATCH /dev/v1/security.
PATCH
/
dev
/
v1
/
security
Update security settings
Authorizations
Use your Shoppex API key in the Authorization header.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Successful response
The response is of type object.